pipeline {

environment {
	registry = "mehdi96/repertoire"
	registryCredential = "dockerhub"
	dockerImage = ''

}

agent any

stages {

	stage('Git checkout') {
	steps {
		checkout scm
	}

	}
	stage('build image'){
	steps{
	dir ('app'){
	script{ dockerImage= docker.build registry + ":$BUILD_NUMBER"}
	}
	}
	}
	
	stage('publish image'){
	steps{
		script{
		docker.withRegistry('', registryCredential){
			dockerImage.push()
			dockerImage.push("latest")
		}
			echo "entrain de push l'image sur dockerhub"
		}
	}
	}

	stage('Remove Unused docker image'){

		steps{ sh "docker rmi $registry:$BUILD_NUMBER" } 
	}

}
}
